### Method

# FwupdPlugin Firmware get_checksum

#### Declaration [src]

    gchar*
    fu_firmware_get_checksum (
      FuFirmware* self,
      GChecksumType csum_kind,
      GError** error
    )

#### Description [src]

Returns a checksum of the payload data.

Available since: | 1.6.0

#### Parameters

`csum_kind` | `GChecksumType`
| A checksum type, e.g. `G_CHECKSUM_SHA256`
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A checksum string, or `NULL` if the checksum is not available.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.